--
-- PostgreSQL database dump
--

-- Dumped from database version 9.3.1
-- Dumped by pg_dump version 9.3.1
-- Started on 2014-10-11 09:39:42 CEST

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- TOC entry 7 (class 2615 OID 112069)
-- Name: parametres; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA parametres;


SET search_path = parametres, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 179 (class 1259 OID 112070)
-- Name: associer_parametres_systeme; Type: TABLE; Schema: parametres; Owner: -; Tablespace: 
--

CREATE TABLE associer_parametres_systeme (
    pk_associer_parametres_systeme integer NOT NULL,
    fk_parametre_source integer,
    fk_parametre_cible integer,
    descriptif text,
    notes text,
    date_creation timestamp with time zone,
    date_modification timestamp with time zone
);


--
-- TOC entry 180 (class 1259 OID 112076)
-- Name: associer_parametres_systeme_pk_associer_parametres_systeme_seq; Type: SEQUENCE; Schema: parametres; Owner: -
--

CREATE SEQUENCE associer_parametres_systeme_pk_associer_parametres_systeme_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2300 (class 0 OID 0)
-- Dependencies: 180
-- Name: associer_parametres_systeme_pk_associer_parametres_systeme_seq; Type: SEQUENCE OWNED BY; Schema: parametres; Owner: -
--

ALTER SEQUENCE associer_parametres_systeme_pk_associer_parametres_systeme_seq OWNED BY associer_parametres_systeme.pk_associer_parametres_systeme;


--
-- TOC entry 181 (class 1259 OID 112078)
-- Name: parametre_systeme; Type: TABLE; Schema: parametres; Owner: -; Tablespace: 
--

CREATE TABLE parametre_systeme (
    pk_parametre_systeme integer NOT NULL,
    valeur character varying(255),
    definition text,
    notes text,
    type_valeur character varying(255),
    champ_concerne character varying(255),
    date_creation timestamp with time zone,
    date_modification timestamp with time zone,
    classe_concernee character varying(255)
);


--
-- TOC entry 182 (class 1259 OID 112084)
-- Name: parametres_systeme_pk_parametre_systeme_seq; Type: SEQUENCE; Schema: parametres; Owner: -
--

CREATE SEQUENCE parametres_systeme_pk_parametre_systeme_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


--
-- TOC entry 2301 (class 0 OID 0)
-- Dependencies: 182
-- Name: parametres_systeme_pk_parametre_systeme_seq; Type: SEQUENCE OWNED BY; Schema: parametres; Owner: -
--

ALTER SEQUENCE parametres_systeme_pk_parametre_systeme_seq OWNED BY parametre_systeme.pk_parametre_systeme;


--
-- TOC entry 2171 (class 2604 OID 112086)
-- Name: pk_associer_parametres_systeme; Type: DEFAULT; Schema: parametres; Owner: -
--

ALTER TABLE ONLY associer_parametres_systeme ALTER COLUMN pk_associer_parametres_systeme SET DEFAULT nextval('associer_parametres_systeme_pk_associer_parametres_systeme_seq'::regclass);


--
-- TOC entry 2172 (class 2604 OID 112115)
-- Name: pk_parametre_systeme; Type: DEFAULT; Schema: parametres; Owner: -
--

ALTER TABLE ONLY parametre_systeme ALTER COLUMN pk_parametre_systeme SET DEFAULT nextval('parametres_systeme_pk_parametre_systeme_seq'::regclass);


--
-- TOC entry 2292 (class 0 OID 112070)
-- Dependencies: 179
-- Data for Name: associer_parametres_systeme; Type: TABLE DATA; Schema: parametres; Owner: -
--

INSERT INTO associer_parametres_systeme (pk_associer_parametres_systeme, fk_parametre_source, fk_parametre_cible, descriptif, notes, date_creation, date_modification) VALUES (3, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO associer_parametres_systeme (pk_associer_parametres_systeme, fk_parametre_source, fk_parametre_cible, descriptif, notes, date_creation, date_modification) VALUES (4, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO associer_parametres_systeme (pk_associer_parametres_systeme, fk_parametre_source, fk_parametre_cible, descriptif, notes, date_creation, date_modification) VALUES (5, 1, 3, NULL, NULL, NULL, NULL);
INSERT INTO associer_parametres_systeme (pk_associer_parametres_systeme, fk_parametre_source, fk_parametre_cible, descriptif, notes, date_creation, date_modification) VALUES (6, 1, 4, NULL, NULL, NULL, NULL);
INSERT INTO associer_parametres_systeme (pk_associer_parametres_systeme, fk_parametre_source, fk_parametre_cible, descriptif, notes, date_creation, date_modification) VALUES (2, 3, NULL, 'réutiliser', NULL, NULL, NULL);
INSERT INTO associer_parametres_systeme (pk_associer_parametres_systeme, fk_parametre_source, fk_parametre_cible, descriptif, notes, date_creation, date_modification) VALUES (1, 4, NULL, 'réutiliser', NULL, NULL, NULL);
INSERT INTO associer_parametres_systeme (pk_associer_parametres_systeme, fk_parametre_source, fk_parametre_cible, descriptif, notes, date_creation, date_modification) VALUES (7, 1, 5, NULL, NULL, NULL, NULL);
INSERT INTO associer_parametres_systeme (pk_associer_parametres_systeme, fk_parametre_source, fk_parametre_cible, descriptif, notes, date_creation, date_modification) VALUES (8, 2, 7, NULL, NULL, NULL, NULL);


--
-- TOC entry 2302 (class 0 OID 0)
-- Dependencies: 180
-- Name: associer_parametres_systeme_pk_associer_parametres_systeme_seq; Type: SEQUENCE SET; Schema: parametres; Owner: -
--

SELECT pg_catalog.setval('associer_parametres_systeme_pk_associer_parametres_systeme_seq', 8, true);


--
-- TOC entry 2294 (class 0 OID 112078)
-- Dependencies: 181
-- Data for Name: parametre_systeme; Type: TABLE DATA; Schema: parametres; Owner: -
--

INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (6, 'Objet abstrait', 'Tout concept, etc.', NULL, 'type_objet', NULL, NULL, NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (8, 'est classé par', NULL, NULL, 'type_association_objets', NULL, NULL, NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (5, 'Nom de fonction', 'Le nom que prend une personne lors de l''exercice d''une fonction', NULL, 'type_nom', NULL, NULL, NULL, 'Acteur');
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (4, 'Surnom', NULL, NULL, 'type_nom', NULL, NULL, NULL, 'Acteur');
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (3, 'Nom civil', NULL, NULL, 'type_nom', NULL, NULL, NULL, 'Acteur');
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (7, 'Nom', 'Le simple nom d''un objet', NULL, 'type_nom', NULL, NULL, NULL, 'Tout objet');
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (13, 'Nom d''usage', NULL, NULL, 'type_nom', NULL, NULL, NULL, 'Acteur');
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (14, 'documente', NULL, NULL, 'type_association_objets', NULL, '2014-10-01 17:25:44.16606+02', '2014-10-01 17:27:12.987264+02', NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (15, 'reproduit', NULL, NULL, 'type_association_objets', NULL, '2014-10-01 17:26:34.314252+02', '2014-10-01 17:27:17.707184+02', NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (16, 'est une partie de', NULL, NULL, 'type_association_objets', NULL, '2014-10-01 17:27:47.012639+02', '2014-10-01 17:28:01.861254+02', NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (17, 'se situe dans ', NULL, NULL, 'type_association_objets', NULL, '2014-10-01 17:28:14.581406+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (18, 'concerne', NULL, NULL, 'type_association_objets', NULL, '2014-10-01 17:41:36.975348+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (1, 'Acteur', 'Toute personne individuelle, réelle ou imaginaire', NULL, 'type_objet', NULL, NULL, '2014-10-02 19:23:52.626548+02', NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (2, 'Acteur collectif', 'Toute collectivité, formelle ou informelle', NULL, 'type_objet', NULL, NULL, '2014-10-02 19:24:29.334962+02', NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (10, 'Caractère social', 'Toute profession, fonction sociale, fonction institutionnelle, titre nobiliaire, etc.', NULL, 'type_objet', NULL, NULL, '2014-10-02 19:26:36.403567+02', NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (11, 'Bibliographie', 'Classe des objets existant en multiples exempaires, avec un auteur, un lieu d''édition, etc. Il s''agit généralement de livres, revues, mais aussi filmes, ou enregistrements sonores, etc.', NULL, 'type_objet', NULL, NULL, '2014-10-02 19:28:32.356768+02', NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (12, 'Objet digital', 'Tout objet numérique n''ayant pas de réalité physique individuelle: site web, logiciel, photo digitale, mais pas le DVD de tel film (qui est de type bibliographie)', NULL, 'type_objet', NULL, NULL, '2014-10-02 19:29:57.245961+02', NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (19, 'Lieu', 'Toute portion de l''espace terrestre (ville, fôret, territoire administratif ou politique, fleuve, etc.)', NULL, 'type_objet', NULL, '2014-10-02 19:31:59.182081+02', '2014-10-02 19:34:18.998181+02', NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (20, 'Immeuble', 'Toute construction (maison, bâtiment public, statue, etc.)  ou infrastructure (route, ligne électrique). Il s''agit donc d''un type particulier d''objet matériel qui est situé dans l''espace sans pouvoir être déplacé sans démontage.', NULL, 'type_objet', NULL, '2014-10-02 19:36:40.072358+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (23, 'tyro_associe_a_tyuc', 'Associe un type de rôle aux types d''unités de connaissance dans lesquels on prévoit d''utiliser ce type de rôle', NULL, 'type_association_objets', NULL, '2014-10-03 11:30:24.753519+02', '2014-10-03 11:31:34.778019+02', NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (21, 'type_unite_connaissance', 'Permet de typer les types d''unités de connaissance', NULL, NULL, NULL, '2014-10-03 11:27:25.854051+02', '2014-10-09 22:59:05.77079+02', NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (22, 'type_role', 'Permet de typer les types de rôle', NULL, NULL, NULL, '2014-10-03 11:27:43.892999+02', '2014-10-09 22:59:15.679005+02', NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (9, 'Objet concret', 'Tout objet unique et individuel, existant ou ayant existé matériellement', NULL, 'type_objet', NULL, NULL, '2014-10-09 23:00:21.176298+02', NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (24, 'Unité documentaire', 'Un texte ou portion de texte, tel un chapitre, une image dans un livre, etc. qui représente un découpage de l''objet auquel il appartient. On associera donc un objet de type Unité documentaire à l''objet qui le contient par le type d''association ''composer'', tout en indiquant dans la relation les pages exactes, lignes, position de la photo et tout autre élément permettant d''identifier l''objet', NULL, 'type_objet', NULL, '2014-10-09 23:03:16.105266+02', '2014-10-09 23:05:33.207408+02', NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (26, 'Reconstituée', 'Une date probable reconstituée à partir d''éléments disponibles', NULL, 'type_certitude_date', NULL, '2014-10-11 00:00:22.281809+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (27, 'Postulée', 'Une date arbitraire, imaginée à partir d''éléments connus sur l''acteur', NULL, 'type_certitude_date', NULL, '2014-10-11 00:00:22.285699+02', NULL, NULL);
INSERT INTO parametre_systeme (pk_parametre_systeme, valeur, definition, notes, type_valeur, champ_concerne, date_creation, date_modification, classe_concernee) VALUES (25, 'URL / Cote d''archive', 'Toute adresse, physique ou numérique, qui fait fonction de nom pour l''objet', '', 'type_nom', NULL, '2014-10-11 00:00:22.271783+02', '2014-10-11 09:03:41.37825+02', NULL);


--
-- TOC entry 2303 (class 0 OID 0)
-- Dependencies: 182
-- Name: parametres_systeme_pk_parametre_systeme_seq; Type: SEQUENCE SET; Schema: parametres; Owner: -
--

SELECT pg_catalog.setval('parametres_systeme_pk_parametre_systeme_seq', 27, true);


--
-- TOC entry 2174 (class 2606 OID 112089)
-- Name: associer_parametres_systeme_pkey; Type: CONSTRAINT; Schema: parametres; Owner: -; Tablespace: 
--

ALTER TABLE ONLY associer_parametres_systeme
    ADD CONSTRAINT associer_parametres_systeme_pkey PRIMARY KEY (pk_associer_parametres_systeme);


--
-- TOC entry 2176 (class 2606 OID 112091)
-- Name: parametres_systeme_pkey; Type: CONSTRAINT; Schema: parametres; Owner: -; Tablespace: 
--

ALTER TABLE ONLY parametre_systeme
    ADD CONSTRAINT parametres_systeme_pkey PRIMARY KEY (pk_parametre_systeme);


--
-- TOC entry 2177 (class 2620 OID 120319)
-- Name: update_associer_parametres_creatime; Type: TRIGGER; Schema: parametres; Owner: -
--

CREATE TRIGGER update_associer_parametres_creatime BEFORE INSERT ON associer_parametres_systeme FOR EACH ROW EXECUTE PROCEDURE objets.update_created_column();


--
-- TOC entry 2178 (class 2620 OID 120321)
-- Name: update_associer_parametres_updatime; Type: TRIGGER; Schema: parametres; Owner: -
--

CREATE TRIGGER update_associer_parametres_updatime BEFORE UPDATE ON associer_parametres_systeme FOR EACH ROW EXECUTE PROCEDURE objets.update_updated_column();


--
-- TOC entry 2179 (class 2620 OID 120318)
-- Name: update_parametre_creatime; Type: TRIGGER; Schema: parametres; Owner: -
--

CREATE TRIGGER update_parametre_creatime BEFORE INSERT ON parametre_systeme FOR EACH ROW EXECUTE PROCEDURE objets.update_created_column();


--
-- TOC entry 2180 (class 2620 OID 120322)
-- Name: update_parametre_updatime; Type: TRIGGER; Schema: parametres; Owner: -
--

CREATE TRIGGER update_parametre_updatime BEFORE UPDATE ON parametre_systeme FOR EACH ROW EXECUTE PROCEDURE objets.update_updated_column();


-- Completed on 2014-10-11 09:39:42 CEST

--
-- PostgreSQL database dump complete
--

