--
-- PostgreSQL database dump
--

-- Dumped from database version 9.3.1
-- Dumped by pg_dump version 9.3.1
-- Started on 2014-10-11 09:38:25 CEST

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- TOC entry 9 (class 2615 OID 112092)
-- Name: vues_affichage; Type: SCHEMA; Schema: -; Owner: -
--

CREATE SCHEMA vues_affichage;


SET search_path = vues_affichage, pg_catalog;

--
-- TOC entry 185 (class 1259 OID 112116)
-- Name: v_association_parametres; Type: VIEW; Schema: vues_affichage; Owner: -
--

CREATE VIEW v_association_parametres AS
 SELECT t1.pk_parametre_systeme AS cle_source, 
    t1.valeur AS valeur_source, 
    t1.type_valeur AS type_valeur_source, 
    t1.classe_concernee AS classe_concernee_source, 
    t1.champ_concerne AS champ_source, 
    t3.pk_parametre_systeme AS cle_cible, 
    t3.valeur AS valeur_cible, 
    t3.type_valeur AS type_objet_cible, 
    t3.classe_concernee AS classe_concernee_cible, 
    t3.champ_concerne AS champ_cible
   FROM parametres.parametre_systeme t1, 
    parametres.associer_parametres_systeme t2, 
    parametres.parametre_systeme t3
  WHERE ((t1.pk_parametre_systeme = t2.fk_parametre_source) AND (t3.pk_parametre_systeme = t2.fk_parametre_cible));


--
-- TOC entry 186 (class 1259 OID 128501)
-- Name: v_proprietes_standard_objet; Type: VIEW; Schema: vues_affichage; Owner: -
--

CREATE VIEW v_proprietes_standard_objet AS
 SELECT t1.pk_objet, 
    ('ObPe'::text || t1.pk_objet) AS cle_objet, 
    t2.nom, 
    t4.valeur AS type_objet, 
    t1.date_debut, 
    t1.date_fin, 
    t1.definition, 
    string_agg(t3.nom, '; '::text) AS tous_les_noms, 
    string_agg(t6.nom, '; '::text) AS classes, 
    t1.texte_tei
   FROM (((((objets.objet t1
   LEFT JOIN objets.nom_objet t2 ON (((t2.fk_objet = t1.pk_objet) AND (t2.est_standard = true))))
   LEFT JOIN objets.nom_objet t3 ON ((t3.fk_objet = t1.pk_objet)))
   LEFT JOIN parametres.parametre_systeme t4 ON ((t4.pk_parametre_systeme = t1.fk_type_objet)))
   LEFT JOIN objets.associer_objets t5 ON (((t5.fk_objet_source = t1.pk_objet) AND (t5.fk_type_association_objets = 8))))
   LEFT JOIN objets.nom_objet t6 ON (((t6.fk_objet = t5.fk_objet_cible) AND (t6.est_standard = true))))
  GROUP BY t1.pk_objet, ('ObPe'::text || t1.pk_objet), t2.nom, t4.valeur, t1.date_debut, t1.date_fin;


--
-- TOC entry 187 (class 1259 OID 128506)
-- Name: v_associations_objets; Type: VIEW; Schema: vues_affichage; Owner: -
--

CREATE VIEW v_associations_objets AS
 SELECT t2.pk_objet AS pk_source, 
    ('ObPe'::text || t2.pk_objet) AS cle_source, 
    t2.nom AS nom_source, 
    t2.type_objet AS type_source, 
    t4.valeur AS type_association, 
    t3.nom AS nom_cible, 
    t3.pk_objet AS pk_cible, 
    ('ObPe'::text || t3.pk_objet) AS cle_cible, 
    t3.type_objet AS type_cible, 
    t1.pk_associer_objets, 
    t1.fk_type_association_objets AS cle_type_association, 
    t2.classes AS classes_source, 
    t3.classes AS classes_cible
   FROM (((objets.associer_objets t1
   LEFT JOIN v_proprietes_standard_objet t2 ON ((t2.pk_objet = t1.fk_objet_source)))
   LEFT JOIN v_proprietes_standard_objet t3 ON ((t3.pk_objet = t1.fk_objet_cible)))
   LEFT JOIN parametres.parametre_systeme t4 ON ((t4.pk_parametre_systeme = t1.fk_type_association_objets)));


-- Completed on 2014-10-11 09:38:25 CEST

--
-- PostgreSQL database dump complete
--

